/* (c) https://github.com/MontiCore/monticore */
body {
  background: #222;
  color: #ddd;
  display: flex;
  justify-content: center;
  flex-direction: column;
  font: 16px "Helvetica Neue", sans-serif;
  height: 100vh;
  margin: 0;
  text-align: center;
}

.mainBattery{
  position: absolute;
      width: 5.25em;
      height: 1.8em;
      top: 1.55em;
      left: calc(53.5% - 2.625em);
      z-index: 100;
  }
  
  

.battery, .reflection {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.battery {
  margin-bottom: 0.125em;
}

.reflection {
  opacity: 0.4;
  transform: scaleY(-1);
}

.bottom, .middle, .top-b, .top-a {
  margin-right: -0.25em;
}

.bottom, .top-b {
background: #444 linear-gradient(rgba(255, 255, 255, 0.3) 0%, transparent 13%, transparent 20%, rgba(255, 255, 255, 0.8) 0%, rgba(255, 255, 255, 0.6) 30%, transparent 50%, transparent 75%, rgba(255, 255, 255, 0.5) 90%);
    border-radius: 0.125em;
    display: inline-block;
    height: 100%;
    width: 0.5em;
    vertical-align: middle;
}

.middle {
  border: 1px solid #8c8a8a;
  border-radius: 0.125em;
  display: inline-block;
  overflow: hidden;
  height: 100%;
  width: calc(100% - 1.5em);
  vertical-align: middle;
  position: relative;
}

.top-a {
background: #444 linear-gradient(rgba(255, 255, 255, 0.3) 0%, transparent 13%, transparent 20%, rgba(255, 255, 255, 0.8) 0%, rgba(255, 255, 255, 0.6) 30%, transparent 50%, transparent 75%, rgba(255, 255, 255, 0.5) 90%);
    border-radius: 0.125em;
    display: inline-block;
    height: 0.75em;
    width: 0.5em;
    vertical-align: middle;
}

.fill {
background: linear-gradient(#0c0 0%, #00aa00 50%, #0c0 100%);
    border-radius: 0.25em 0 0 0.25em;
    box-shadow: 0 0 10px #0c0;
    height: 100%;
    width: 0;
    transition: width 0.3s ease-out;
}

.fill.fill-critical {
  background: linear-gradient(#c00 0%, #cc0000 50%, #c00 100%);
  box-shadow: 0 0 0.625em #c00;
}

.glass {
    background-image: linear-gradient(rgba(255, 255, 255, 0.3) 0%, transparent 10%, transparent 20%, rgba(255, 255, 255, 0.3) 20%, rgba(255, 255, 255, 0.25) 20%, transparent 50%, transparent 75%, rgba(255, 255, 255, 0.25) 90%);
    border-radius: 0.125em;
    display: block;
    font-size: 1.0;
    line-height: 1.75;
    text-align: center;
    height: 100%;
    position: absolute;
    width: 100%;
    text-shadow: 0 0 1.875rem #fff;
    z-index: 1;
    border-radius: 0.095em;
}

.fade {
      position: absolute;
    height: 100%;
    width: 100%;
    z-index: 2;
}
